## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExceptionFunctionNotSupported Class Reference

Exception class thrown when an installFunction() is called with a function name that is not supported. More...

`#include <XPathFunctionTable.hpp>`

Inheritance diagram for XPathExceptionFunctionNotSupported

Collaboration diagram for XPathExceptionFunctionNotSupported:

List of all members.

## Public Methods

- XPathExceptionFunctionNotSupported (const XalanDOMChar* theFunctionName)
- ~XPathExceptionFunctionNotSupported ()

## Detailed Description

Exception class thrown when an installFunction() is called with a function name that is not supported.

## Constructor & Destructor Documentation

XPathExceptionFunctionNotSupported::XPathExceptionFunctionNotSupported ( | const XalanDOMChar * theFunctionName )

XPathExceptionFunctionNotSupported::~XPathExceptionFunctionNotSupported ( | )

The documentation for this class was generated from the following file:

- XPathFunctionTable.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.